#
# spec file for package python3-cssutils
#
# Copyright (c) 2015 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           python3-cssutils
Version:        1.0
Release:        6.2
Url:            http://cthedot.de/cssutils/
Summary:        A CSS Cascading Style Sheets library for Python
License:        LGPL-3.0+
Group:          Development/Languages/Python
Source:         http://pypi.python.org/packages/source/c/cssutils/cssutils-%{version}.zip
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  python3
# this is needed for openSUSE <= 12.2
BuildRequires:  python3-2to3
BuildRequires:  python3-devel
BuildRequires:  python3-distribute
BuildRequires:  unzip
Requires:       python3
BuildArch:      noarch

%description
A Python package to parse and build CSS Cascading Style Sheets. DOM only, not any rendering facilities!

%prep
%setup -q -n cssutils-%{version}
sed -i "1d" src/cssutils/{parse,codec,sac,serialize,scripts/csscapture,_codec2,errorhandler,scripts/cssparse,_codec3,scripts/csscombine,tokenize2,__init__}.py # Fix non-executable scripts
sed -i "s/\r//" src/cssutils/{sac,scripts/csscombine,tokenize2}.py COPYING COPYING.LESSER examples/{website,minify,imports,cssencodings,style,testutil,codec}.py # Fix EOL encodings

%build
python3 setup.py build

%install
python3 setup.py install --prefix=%{_prefix} --root=%{buildroot}
# remove or move files that conflict with python 2.x
mv %{buildroot}%{_bindir}/csscapture %{buildroot}%{_bindir}/csscapture-%{py3_ver}
mv %{buildroot}%{_bindir}/csscombine %{buildroot}%{_bindir}/csscombine-%{py3_ver}
mv %{buildroot}%{_bindir}/cssparse %{buildroot}%{_bindir}/cssparse-%{py3_ver}

%files
%defattr(-,root,root,-)
%doc COPYING COPYING.LESSER README.txt examples
%{_bindir}/css*
%{python3_sitelib}/cssutils-%{version}-py*.egg-info/
%{python3_sitelib}/cssutils/
%{python3_sitelib}/encutils/

%changelog
* Fri Jan 16 2015 arun@gmx.de
- specfile: update copyright year
- update to version 1.0:
  * EXPERIMENTAL: Variable references may have a fallback value now
    (as implemented in Firefox 29).
  * FEATURE: (issue #37) Implemented parsing of "CSSCalc"
    values. General syntax is checked but not if operators in calc are
    actually the right kind like DIMENSION * DIMENSION. Also Values
    using calc do not validate in cssutils but are actually valid.
  * FIXED issue #20 and #35 (Test fail CSSParser.parseUrl() error with
    Python 3.3)
  * FIXED issue #21: (almost all) deprecation warning in Py 3.3 fixed.
  * FIXED issue #30 (Test failed)
  * FIXED issue #33 (well kinda): Added that cssutils is **not**
    threadsafe!
  * FIXED issue #34: More complext MediaQueries should be parsable
    now. A few slight changes in behavior are:
    + "xml.dom.SyntaxErr" raised instead of
    "xml.dom.InvalidCharacterErr" for an unknown media type
    + removed "handheld" media type special case (for old Opera).
* Wed Apr 17 2013 toddrme2178@gmail.com
- Update to version 0.9.10:
  * No changelog provided
- Re-added python-2to3 since it is needed for openSUSE <= 12.2
* Tue Apr 16 2013 p.drouand@gmail.com
- Remove BuildRequires: python-2to3, useless since included in main
  python devel package
- Add Requires: python3; fix build for OpenSUSE <= 12.2
* Wed Jan 30 2013 saschpe@suse.de
- BuildRequire python-2to3 for 12.1 and 12.2
* Fri Jan 11 2013 p.drouand@gmail.com
- Initial python3 support
